Subject: Re: _High_ CPU usage while routing (mostly) small UDP packets

From: Karsten Desler <[email-masked]>
Date: Tue, 7 Dec 2004 03:54:56 +0100

* jamal wrote:
> 
> Your numbers are very suspect. You may be having other issues in the
> box. You should be able to do much higher packet rates even with
> iptables compiled in.

I know, and I have no idea why I'm not.

> Some numbers at:
> 
> http://www.suug.ch/sucon/04/slides/pkt_cls.pdf
> 
> If all you need is std filtering then consider using tc actions.

Thanks, I'll look into it.

> I do have a suspicion that your problem has to do with your machine
> more than it does with Linux.

But what could be the reason? I'm really out of ideas.
The only thing I can think off is the 66/64 PCI bus and the
disadvantageous placement of the PCI cards, but neither should cause a
higher CPU usage. If the bus couldn't keep up, I'd get packetloss.

- Karsten